import 'package:contentsquare/src/modules/gestures/contentsquare_gesture_detector.dart';
import 'package:contentsquare/src/modules/screengraph/hit_test/get_tvp_at_hit_position.dart';
import 'package:contentsquare_platform_interface/contentsquare_platform_interface.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

import 'contentsquare.dart';

/// ContentsquareRoot widget
///
/// Place it at the root of your app to provide your app with zoning features
class ContentsquareRoot extends StatelessWidget {
  /// ContensquareRoot widget constructor
  const ContentsquareRoot({Key? key, required this.child}) : super(key: key);

  /// Child widget
  final Widget child;

  void _a181({
    required ContentsquareGesture a491,
    required Offset a492,
    ContentsquareGestureData? a493,
  }) {
    final a289 = a266(a492);

    
    
    for (var a290 in a289) {
      Contentsquare().sendTouchEvent(
        type: a491,
        version: version,
        data: TouchEventData(path: a290, gestureData: a493),
      );
    }
  }

  @override
  Widget build(BuildContext context) {
    return a136(
      a55: (position) => _a181(
        a492: position,
        a491: ContentsquareGesture.tap,
      ),
      a54: (position) => _a181(
        a492: position,
        a491: ContentsquareGesture.longPress,
      ),
      a53: (position, data) => _a181(
        a492: position,
        a491: ContentsquareGesture.drag,
        a493: data,
      ),
      a52: (position, data) => _a181(
        a492: position,
        a491: ContentsquareGesture.flick,
        a493: data,
      ),
      a56: child,
    );
  }
}
