import 'dart:collection';

import 'package:flutter/rendering.dart';
import 'package:flutter/widgets.dart';

import '../../logger/logger.dart';
import '../widgets_binding.dart';
import '../../webview_tracking/webview_tracking.dart';
import '../compression.dart';
import '../element_extension.dart';
import '../unmodifiable_list_view_extension.dart';
import 'get_element_data_of_hit_render_object.dart';
import 'hit_element_data.dart';
import 'results/hit_leaves_element_tvps_result.dart';
import 'results/hit_maybe_result.dart';

part 'get_leaves_element_tvps.dart';


UnmodifiableListView<String> a266(Offset a571) {
  final a407 = _a268(a571);

  final a408 = a280(
    a580: a407,
    a581: a131.a238(a541: a571),
  );

  a267() => UnmodifiableListView<String>([]);

  return a408.a12(
    a465: () {
      
      
      
      
      
      a182.a32(
        a143(
          a572: a571,
          a573: a407,
        ),
      );
      return a267();
    },
    a466: (hitElementData) {
      final a409 = hitElementData.a67.a78;
      if (a409.a231) {
        
        
        return a267();
      }

      final a410 = _a259(
        a567: hitElementData,
      );

      return a410.a8(
        
        a454: () => a267(),
        a455: (leavesScreengraphTVPs) {
          
          
          final a411 =
              leavesScreengraphTVPs.a258();

          final a412 =
              a411.map(a188).toList();

          return UnmodifiableListView(a412);
        },
      );
    },
  );
}


@visibleForTesting
class a143 extends a113 {
  
  a143({
    required Offset a572,
    required RenderObject a573,
  }) : super(
          'Could not find the element associated with the RenderObject '
          '$a573 that was found for the gesture at '
          '$a572',
        );
}


RenderObject _a268(Offset a574) {
  final a413 = a172.a217!.renderView;

  
  
  final a414 = BoxHitTestResult();
  a413.hitTest(a414, position: a574);

  
  return a414.path
      .firstWhere((element) => element.target is RenderObject)
      .target as RenderObject;
}
