import 'dart:developer';

import 'package:flutter/rendering.dart';


extension a175 on RenderObject {
  
  Rect? get a232 => _a234(a535: true);

  
  Rect? get a233 => _a234(a535: false);

  
  Rect? _a234({required bool a535}) {
    final a353 = this;

    
    
    
    
    
    if (a353 is RenderView) {
      
      
      
      
      return a353.child?._a234(
        a535: a535,
      );
    } else if (a353 is RenderBox) {
      return _a236(
        a353,
        a538: a535,
      );
    } else if (a353 is RenderSliver) {
      return _a237(
        a353,
        a540: a535,
      );
    } else {
      log(
        'The RenderObject of type ${a353.runtimeType} is not supported. '
        'Therefore its size cannot be determined.',
      );
      return null;
    }
  }

  
  Rect _a235({
    required bool a536,
  }) {
    if (!a536) {
      return paintBounds;
    }

    
    
    
    final a354 = getTransformTo(null).getTranslation();
    return paintBounds.shift(Offset(a354.x, a354.y));
  }
}


Rect? _a236(
  RenderBox a537, {
  required bool a538,
}) {
  if (!a537.hasSize) {
    return null;
  }

  return a537._a235(
    a536: a538,
  );
}


Rect? _a237(
  RenderSliver a539, {
  required bool a540,
}) {
  if (a539.geometry == null) {
    return null;
  }

  return a539._a235(
    a536: a540,
  );
}
