import 'dart:math';

import 'package:contentsquare_platform_interface/contentsquare_platform_interface.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

import 'gesture_listener.dart';


class a136 extends StatelessWidget {
  
  final Widget a56;

  
  final Function(Offset position)? a55;

  
  final Function(Offset position)? a54;

  
  final Function(Offset position, ContentsquareGestureData data)? a53;

  
  final Function(Offset position, ContentsquareGestureData data)? a52;

  
  const a136({
    Key? a556,
    required this.a56,
    this.a55,
    this.a54,
    this.a53,
    this.a52,
  }) : super(key: a556);

  bool _a248(a117 a557) {
    return a557.a99.distance.isFinite && a557.a98.isFinite;
  }

  void _a249(PointerEvent a558) {
    a55?.call(a558.position);
  }

  void _a250(PointerEvent a559) {
    a54?.call(a559.position);
  }

  void _a251(a117 a560) {
    final a384 = _a252(a560.a99);
    if (a384 == null) return;

    if (!_a248(a560)) return;

    final a385 = ContentsquareGestureData(
      distance: a560.a99.distance.toInt(),
      direction: a384,
      velocity: max(a560.a98.dx.abs(), a560.a98.dy.abs()).toInt(),
    );

    if (a385.velocity >= kMinFlingVelocity) {
      a52?.call(a560.a100, a385);
    } else {
      a53?.call(a560.a100, a385);
    }
  }

  static ContentsquareGestureDirection? _a252(Offset a561) {
    if (a561.dx == 0 && a561.dy == 0) return null;

    if (a561.dx.abs() <= a561.dy.abs()) {
      
      return a561.dy > 0
          ? ContentsquareGestureDirection.down
          : ContentsquareGestureDirection.up;
    } else {
      
      return a561.dx > 0
          ? ContentsquareGestureDirection.right
          : ContentsquareGestureDirection.left;
    }
  }

  @override
  Widget build(BuildContext context) {
    return a118(
      a96: _a249,
      a95: _a250,
      a91: _a251,
      a97: a56,
    );
  }
}
