import 'dart:async';
import 'dart:developer' as dev;

import 'package:collection/collection.dart';
import 'package:fast_immutable_collections/fast_immutable_collections.dart';
import 'package:flutter/foundation.dart';


a106 get a182 => _a291;
var _a291 = a106._a183();


class a106 {
  a106._a183({void Function(a107 log)? a494}) {
    _a292.stream.listen(a494 ?? _a184);
  }

  
  void a32(a107 a490) => _a292.add(a490);

  
  void a31(String a489) => a32(a109(a489));

  
  void a30(String a488) => a32(a111(a488));

  
  void a29(String a487) => a32(a113(a487));

  
  void a28(String a486) => a32(a115(a486));

  final _a292 = StreamController<a107>.broadcast();

  
  void _a184(a107 a495) {
    const a293 = 80;

    
    final a294 = '─' * (a293 - 1);

    
    
    const a295 = a293 - 3;

    String _a185(String a496) {
      return a496
          ._a187(a498: a295)
          .map((line) => '│ $line')
          .join('\n');
    }

    final a296 = _a185(a495.a2);
    final a297 = _a185(a495.a7);

    
    
    
    dev.log(
      '\n'
      '┌$a294\n'
      '$a296\n'
      '├$a294\n'
      '$a297\n'
      '└$a294\n',
    );
  }

  
  @visibleForTesting
  void a27({
    required void Function(a107 log) a484,
    required void Function(VoidCallback) a485,
  }) {
    final a298 = _a291;

    _a291 = a106._a183(a494: a484);

    a485(() => _a291 = a298);
  }
}


@visibleForTesting
bool a186(String a497) {
  final a299 =
      a497.split('\n').where((line) => line.isNotEmpty).length;

  return a299 > 1;
}


abstract class a107 {
  
  @mustCallSuper
  String get a2 => '(CSLIB)';

  
  String get a7;

  /// String representation of the log.
  ///
  /// The string is formed by the prefix followed by the message. If the message
  /// is on multiple lines, a line break is used between the prefix and the
  /// message and a separator is put at the end of the string.
  @override
  @nonVirtual
  String toString() {
    const _a300 = '\n----------------------------------------------------';

    final _a301 =
        a186(a7) ? '\n$a7$_a300' : a7;

    return '$a2 $_a301';
  }
}

extension on String {
  
  IList<String> _a187({required int a498}) {
    final a302 = split('\n');

    return a302
        .map((line) {
          final a303 = line.split(' ');

          var a304 = IList<IList<String>>();
          var a305 = IList<String>();
          for (final a306 in a303) {
            if (a305.join(' ').length + a306.length + 1 > a498) {
              a304 = a304.add(a305);
              a305 = a305.clear();
            }
            a305 = a305.add(a306);
          }
          a304 = a304.add(a305);

          return a304.map((line) => line.join(' ').padRight(a498));
        })
        .flattened
        .toIList();
  }
}


mixin a108 on a107 {
  @override
  String get a2 => 'ℹ️ INFO ℹ️ ${super.a2}';
}


class a109 extends a107 with a108 {
  
  a109(this.a7);

  @override
  final String a7;
}


mixin a110 on a107 {
  @override
  String get a2 => '✅ SUCCESS ✅ ${super.a2}';
}


class a111 extends a107 with a110 {
  
  a111(this.a7);

  @override
  final String a7;
}


mixin a112 on a107 {
  @override
  String get a2 => '⚠️ WARNING ⚠️ ${super.a2}';
}


class a113 extends a107 with a112 {
  
  a113(this.a7);

  @override
  final String a7;
}


mixin a114 on a107 {
  @override
  String get a2 => '⛔️ ERROR ⛔️ ${super.a2}';
}


class a115 extends a107 with a114 {
  
  a115(this.a7);

  @override
  final String a7;
}
