import 'dart:convert';

import 'package:contentsquare/contentsquare.dart';
import 'package:contentsquare/src/modules/gestures/touch_event_data_json_serializer.dart';
import 'package:contentsquare/src/modules/logger/logger.dart';
import 'package:contentsquare/src/modules/webview_tracking/adapters/js_event_to_dart_sdk_adapter.dart';
import 'package:contentsquare/src/modules/webview_tracking/javascript_event_handler.dart';
import 'package:contentsquare/src/modules/webview_tracking/logs/invalid_json_log.dart';
import 'package:contentsquare/src/modules/webview_tracking/logs/screengraph_retrieval_error_logs/tvp_not_found_log.dart';
import 'package:contentsquare_platform_interface/contentsquare_platform_interface.dart';

import '../../gestures/contentsquare_gesture_int_serializer.dart';


class a149 extends a158 {
  
  a149({
    required this.a44,
    required this.a43,
  });

  
  final Contentsquare a44;

  
  final String? Function() a43;

  
  static const _a421 = 'eventJson';

  
  @override
  final List<String> a0 = [_a421];

  @override
  Future<void> a11(Map<String, dynamic> a461) async {
    try {
      final a422 = a43();

      if (a422 == null) {
        a182.a32(a166());
        return;
      }

      final a423 = jsonDecode(a461[_a421]);

      final a424 = a423['type'];
      final a425 = a178.a270(a424);

      final a426 = a423['data'];

      if (a425 == ContentsquareGesture.pageView) {
        final a427 = a426['url'];
        return a44.send(a427);
      }

      return a44.sendTouchEvent(
        type: a425,
        version: a423['version'],
        data: a176.a257(a426)
            .copyWithPrefixedPath('$a422|webview|'),
      );
    } catch (error) {
      a182.a32(
        a135(
          a554: ContentsquareJavascriptEventEnum.sendMessage,
          a555: '$error',
        ),
      );
    }
  }
}
