import 'package:contentsquare/src/modules/logger/logger.dart';

import 'webview_log.dart';


class a148 extends a115 with a125 {
  
  a148({
    required String? a576,
    required String a577,
  }) : super(
          '''
WebView tracking initialization failed${a576 == null ? '' : ' on WebView with initialUrl: $a576'}.

Reason: $a577
          
                
The expected [ContentsquareWebViewTrackerBuilder] usage is:
```dart
ContentsquareWebViewTrackerBuilder(
  builder: (context, tracker) => WebView(
    onPageFinished: tracker.onPageFinished,
    onWebViewCreated: tracker.onWebViewCreated,
    javascriptChannels: tracker.javascriptChannels,
    javascriptMode: JavascriptMode.unrestricted,
    initialUrl: 'https://tupeuxpastest.csq.io/mobile/web-view-cart.html',
  ),
)
          ''',
        );
}
